import { Expose } from 'class-transformer';
import { IsNotEmpty, IsNumberString, IsOptional, IsString } from 'class-validator';
import { IsTitleTV } from '@/validators/isTitleTV';
@Expose()
export class ProductDto {
  @IsNotEmpty({ message: 'Продукт не может быть создан без названия!' })
  @IsString({ message: 'Название должно быть строкой' })
  @IsTitleTV('title', { message: 'The title is TV' })
  title!: string;

  @IsOptional()
  description!: string;

  @IsNotEmpty({ message: 'Укажите цену продукта' })
  @IsNumberString({}, { message: 'Укажите корректную цену' })
  price!: number;

  @IsOptional()
  image!: string;

  @IsNotEmpty({ message: 'Укажите категорию продукта' })
  @IsNumberString({}, { message: 'Укажите корректную категорию' })
  categoryId!: number;
}
